sources:
  
  # view source for view tests
  viewsrc:
    process:
      type: edu.byu.hbll.box.TestProcessor
      
  # facetView template
  facetview:
    template:
      id: facetView
      params:
        local: viewsrc
        facetName: last
        
  # cachedFacetView template
  cachedfacetview:
    template:
      id: cachedFacetView
      params:
        local: viewsrc
        facetName: last
        
  # facetView template document limit specified
  facetviewdoclimit:
    template:
      id: facetView
      params:
        local: viewsrc
        facetName: last
        limit: 2
        
  # facetView with fields set
  facetviewfields:
    template:
      id: facetView
      params:
        local: simple
        facetName: a
        fields: ["@doc"]